Subject: Re: [PATCH 3/3] hook-list.h: add a generated list of hooks, like config-list.h

From: Junio C Hamano <[email-masked]>
Date: Sat, 19 Jun 2021 15:06:42 +0900

Eric Sunshine <[email-masked]> writes:

> That's a good point and not an idle question. It wasn't all that long
> ago that I rewrote `generate-cmdlist` in Perl and got a complaint that
> the Git project was no longer buildable on FreeBSD[1], with the result
> that I ended up re-implementing it (again) in shell[2].
>
> [1]: https://lore.kernel.org/git/[email-masked]/
> [2]: https://lore.kernel.org/git/[email-masked]/

If it works without Perl, I would not complain too much, but NO_PERL
is purely about the execution environment (i.e. do not build and/or
install what requires Perl at runtime), so the old complaint [1]
misses the point, I would have to say.  We do expect a working Perl
in test enviroment to run test suite, for example.